      module module
      integer,parameter :: maxorbcas=30
      logical(1),save :: ycl,ycl1,ylabel,ycdloc,ycd,notwo
      logical(1),save,allocatable :: ygd(:)
      logical(1),save :: ycombinorb
      logical desymact
      double precision,save :: sint,enuc
      double precision,save,allocatable,dimension(:) :: occup,occupng
      character(80),save :: ijcl1,prefix,sxyz(8),stop!,sym
      character(80),save :: ijclloc21,ijclloc31,ijclloc41
      integer,save ::
     *nsym,noa,norb,its(8,8),isym(8),ncl,fermi(8),virt(8),noc,maxncl1
     *,mem,mem_reste,nbfcl,nb_ijcl,jtsr(8,8),nprint,frozen(8),ngel,ndel
     *,delete(8),isymng(8),nvirt,nb_ijcloc,ninac,noac,noaco,noacv
     *,numac(maxorbcas),mprint(10),nop,ilimi=0
      integer,save,allocatable,dimension(:,:) :: itsyml,image,images
     *,ipass,ipass_sgn,princl
      integer,save,allocatable,dimension(:) ::
     *itsym,iord,iclas,nfcl,iclasloc,borne,igd,ingd,iordng
     *,iordl,iphas
     *,nfcl1,nfcl2,nfcl3,nfcl4,s_troa
     *,npass,multat
      integer natom0,maxlong_modif
      double precision,save,allocatable,dimension(:,:) :: 
     *hmono,hmonoloc,s,coor
      character(4),save,allocatable,dimension(:) :: atom0
      integer,dimension(100) :: itest=0
      character(80) symm_sew
      character(8),save,allocatable,dimension(:) :: orbi
      character(14),save,allocatable,dimension(:) :: tipo
      character(18),save,allocatable,dimension(:) :: tipong
      character(18),allocatable,dimension(:) :: tipotmp
      character(18),allocatable,dimension(:) :: tipolu
      character(18),allocatable,dimension(:) :: tipogovd
      integer,save,dimension(8,8) :: dsym=  reshape(
     *                                      (/ 1, 1, 1, 1, 1, 1, 1, 1,
     *                                         1,-1, 1,-1, 1,-1, 1,-1,
     *                                         1, 1,-1,-1, 1, 1,-1,-1,
     *                                         1,-1,-1, 1, 1,-1,-1, 1,
     *                                         1, 1, 1, 1,-1,-1,-1,-1,
     *                                         1,-1, 1,-1,-1, 1,-1, 1,
     *                                         1, 1,-1,-1,-1,-1, 1, 1,
     *                                         1,-1,-1, 1,-1, 1, 1,-1/),
     *                                         (/8,8/))
      integer,dimension(-2:2,-2:2) :: itsl=reshape(
     *                                       (/-2,-2,-2,-2, 2,
     *                                         -2, 1,-1,-1, 2,
     *                                         -2,-1, 0, 1, 2,
     *                                         -2,-1, 1, 1, 2,
     *                                         -2, 2, 2, 2, 2/),
     *                                          (/5,5/))
      double precision,allocatable,dimension(:,:) ::
     *aiikl,aijil,aijjj,aijij
! liens
      logical(1),allocatable,dimension(:,:) :: yl
      logical(1),allocatable,dimension(:) :: ylc
      character(18),save,allocatable,dimension(:) :: tipo_int
      double precision,save,allocatable,dimension(:) :: occup_int
      double precision,save,allocatable,dimension(:,:) :: oo_int
      character(18),save,allocatable,dimension(:) :: tipo_l
      double precision,save,allocatable,dimension(:) :: occup_l
      double precision,save,allocatable,dimension(:,:) :: oo_l
      
      logical ychol
      real(8) sli1,sli2,sli,slid
      real(8),allocatable :: ajk(:,:)
      real(8),allocatable :: chol_vec_l(:,:)
      integer(8),allocatable :: iadr_chol_l(:)
      integer ncho

! locci
      logical all_linked
      end module 
